package com.liquidnet.service;

import com.liquidnet.service.dragon.channel.unionpay.sdk.SDKConfig;
import lombok.extern.slf4j.Slf4j;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: TestSdkConfig
 * @Package com.liquidnet.service
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2021/11/9 10:57
 */
@Slf4j
@RunWith(SpringJUnit4ClassRunner.class)
@SpringBootTest
public class TestSdkConfig {
    @Autowired
    private SDKConfig sdkConfig;
    @Test
    public void pringSdkConfigInfo(){
        System.out.println(sdkConfig.getFileTransUrl());
        System.out.println(sdkConfig.getSignCertPath());
        System.out.println(sdkConfig.getSignCertPwd());
        System.out.println(sdkConfig.getSignCertType());
        System.out.println(sdkConfig.getEncryptCertPath());
        System.out.println(sdkConfig.getMiddleCertPath());
        System.out.println(sdkConfig.getRootCertPath());
    }
}
